## virtualbox 5.0.14-dfsg

=== debian/changelog ===
virtualbox (5.0.14-dfsg-0ubuntu1.15.10.1) wily-security; urgency=medium

  * Upload to wily-security (LP: #1538115)
  * Remove xserver-xorg-legacy runtime dependency, not available on wily.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Jan 2016 13:09:55 +0100

virtualbox (5.0.14-dfsg-1) unstable; urgency=medium

  * new upstream release.
  * Rework rules file to work also when only guest packages needs to be built.
  * Merge VBox.sh script with upstream, and add procps to runtime dependencies
    thanks Andreas Beckmann <anbe@debian.org> (Closes: #802143)
    -cfr https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=802143#26

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jan 2016 10:04:40 +0100

virtualbox (5.0.12-dfsg-2) unstable; urgency=low

  [ Felipe Sateler ]
  * Remove old init script, superceeded by modaliases
    (Closes: #796706)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Dec 2015 18:22:57 +0100

virtualbox (5.0.12-dfsg-1) unstable; urgency=medium

  * New upstream release, patch refresh.
    - drop fix-gcc-version.patch: upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 19 Dec 2015 10:29:34 +0100

virtualbox (5.0.10-dfsg-7) unstable; urgency=high

  * use "--no-enable" to not enable the service by default.
    (Closes: #807542). A big thanks to Laurent Bigonville!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Dec 2015 12:54:05 +0100

virtualbox (5.0.10-dfsg-6) unstable; urgency=medium

  * Do not enable vboxweb.service by default
    (Closes: #807542)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Dec 2015 11:21:32 +0100

virtualbox (5.0.10-dfsg-5) unstable; urgency=medium

  * fix-gcc-version.patch: allow gcc-5.3
    (Closes: #807466)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Dec 2015 09:26:44 +0100

virtualbox (5.0.10-dfsg-4) unstable; urgency=low

  * Add vboxweb.service from Sérgio Basto
    - thanks algernon for the help :)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Nov 2015 11:39:57 +0100

virtualbox (5.0.10-dfsg-3) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Fix cgit VCS field
  * Stop overriding dh_builddeb, the new dpkg already defaults to xz.

  [ Gianfranco Costamagna ]
  * add x11-xserver-utils to x11 runtime dependencies, needed for xrandr
    (Closes: #805752). A great thanks to Ross Boylan for digging into the
    issue and reporting the fix!
  * Add a missing Provide of virtualbox-module package
    (and drop the lintian override)
  * Drop old and useless README.Debian for guest-x11 package.
    thanks again Ross Boylan for the fix!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Nov 2015 12:30:13 +0100

virtualbox (5.0.10-dfsg-2) unstable; urgency=medium

  * Fix lintian error about malformed override.
  * Bump compat level to 9.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Nov 2015 19:36:14 +0100

virtualbox (5.0.10-dfsg-1) unstable; urgency=medium

  * New upstream release, patch refresh.
  * Update watch file, thanks <mattia>!
  * Remove iasl-fix.patch: upstream.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Nov 2015 10:29:52 +0100

virtualbox (5.0.8-dfsg-1) unstable; urgency=medium

  * New upstream release, patch refresh.
  * Remove version constraint from virtualbox-modules, because it is a virtual package.
  * Add runtime dependency on xserver-xorg-legacy on virtualbox-guest-x11
    (Closes: #801524)
  * Remove some more vboxdrv references (04-vboxdrv-references.patch)
  * Override missing virtualbox-modules lintian error.

  [ Alexander Eichner]
  * debian/patches/iasl-fix.patch: fix build failure against new iasl 20150930

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Oct 2015 15:32:44 +0200

virtualbox (5.0.6-dfsg-1) unstable; urgency=medium

  * New upstream release, patch refresh.
    - Drop fix-*.patch patches, upstream.
  * Fix rules file to build arch:all packages with dh_listpackages features.
  * Make virtualbox depend on dkms, source, modules >= source:Version
    instead of a single "=".
    - Virtualbox needs a kernel module, and the kernel module is retro-compatible
      with older virtualbox versions.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Sep 2015 08:52:36 +0200

virtualbox (5.0.4-dfsg-4) unstable; urgency=medium

  * Update control.modules.in for -source and guest-source packages.
    Bump std-version, update VCS, update Maintainers and Uploaders list,
    follow the control move to contrib/*.
  * Move back dkms to Depends, the correct fix should be to just depend on it
    (thanks to the nice -devel discussion)
  * Remove pre-depends on dpkg because o-o-stable already has a newer version
    (form zigo).
  * tweak rules file to make package build in arch:all only mode
  * Fix lintian error introduced in -3 upload, allowing the
    package be binNMUed again
    - virtualbox source: not-binnmuable-any-depends-all
      virtualbox -> virtualbox-dkms
  * Fix lintian warning about patch missing description.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Sep 2015 09:46:55 +0200

virtualbox (5.0.4-dfsg-3) unstable; urgency=high

  [ Gianfranco Costamagna ]
  * Add xmllint (libxml2-utils) to build-dependencies, to check documentation
    during build (Closes: #798638)
    - add VBOX_PATH_DOCBOOK_DTD := /usr/share/xml/docbook/schema/dtd/4/ to
      LocalConfig.kmk
    - thanks a lot to Graham Inggs for the hint!

  [ Ritesh Raj Sarraf ]
  * Demote virtualbox-dkms | virtualbox-source to pre-depends,
    needed to fully configure virtualbox kernel module prior
    to reload virtualbox service, avoiding a race condition.
    (Closes: #798527, #798979)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Sep 2015 12:53:53 +0200

=== debian/control ===
Source: virtualbox
Section: contrib/misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: bzip2,
               debhelper (>= 9),
               default-jdk,
               dh-python,
               dh-systemd (>=1.5),
               dkms (>= 2.1.1.1),
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.15.6~),
               g++-multilib,
               genisoimage,
               gsoap (>= 2.8.16),
               iasl,
               imagemagick,
               kbuild (>= 1:0.1.9998svn2695),
               libasound2-dev,
               libcap-dev,
               libcurl4-gnutls-dev,
               libdevmapper-dev,
               libdrm-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libidl-dev,
               libpam0g-dev,
               libpixman-1-dev,
               libpng-dev,
               libpulse-dev,
               libqt4-dev (>= 4.4.0),
               libqt4-network (>= 4.4.0),
               libqt4-opengl-dev (>= 4.4.0),
               libsdl1.2-dev,
               libssl-dev,
               libvncserver-dev,
               libvpx-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxml2-utils,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               lsb-release,
               lynx-cur,
               makeself,
               module-assistant,
               python-dev (>= 2.6.6-3~),
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               uuid-dev,
               x11proto-gl-dev,
               x11proto-xf86dri-dev,
               xserver-xorg-dev,
               xsltproc,
               yasm (>= 0.7.0),
               zlib1g-dev
X-Python-Version: >= 2.5
Standards-Version: 3.9.6
Homepage: http://www.virtualbox.org/
Vcs-Git: git://anonscm.debian.org/pkg-virtualbox/virtualbox.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-virtualbox/virtualbox.git

Package: virtualbox-qt
Architecture: amd64 i386
Depends: virtualbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: virtualbox (<< 4.1.6-dfsg-2~)
Replaces: virtualbox (<< 4.1.6-dfsg-2~)
Description: x86 virtualization solution - Qt based user interface
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the Qt based graphical user interface for VirtualBox.

Package: virtualbox
Architecture: amd64 i386
Depends: adduser,
         procps,
         virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends}
Suggests: vde2, virtualbox-guest-additions-iso
Conflicts: virtualbox-2.0,
           virtualbox-2.1,
           virtualbox-2.2,
           virtualbox-3.0,
           virtualbox-3.1,
           virtualbox-3.2,
           virtualbox-4.0,
           virtualbox-4.1,
           virtualbox-4.2,
           virtualbox-4.3,
           virtualbox-5.0
Description: x86 virtualization solution - base binaries
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the binaries for VirtualBox. Either the virtualbox-dkms
 or the virtualbox-source package is also required in order to compile the
 kernel modules needed for virtualbox. A graphical user interface for
 VirtualBox is provided by the package virtualbox-qt.

Package: virtualbox-dbg
Section: contrib/debug
Priority: extra
Architecture: amd64 i386
Depends: virtualbox (= ${binary:Version}) | virtualbox-guest-utils (= ${binary:Version}),
         ${misc:Depends}
Description: x86 virtualization solution - debugging symbols
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the debugging symbols for VirtualBox.

Package: virtualbox-dkms
Section: contrib/kernel
Architecture: all
Depends: ${misc:Depends}
Recommends: virtualbox (>= ${source:Version})
Provides: virtualbox-modules
Description: x86 virtualization solution - kernel module sources for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox kernel module to be
 build with dkms. Kernel sources or headers are required to compile this
 module.

Package: virtualbox-source
Section: contrib/kernel
Architecture: all
Depends: build-essential,
         bzip2,
         debhelper (>= 9),
         kbuild,
         module-assistant,
         ${misc:Depends}
Recommends: virtualbox (>= ${source:Version})
Description: x86 virtualization solution - kernel module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox kernel module.
 The virtualbox package is also required in order to make use of these
 modules. Kernel sources or headers are required to compile this module.
 .
 The source is placed under /usr/src, and after decompression it can
 be built to produce a virtualbox-modules-_KVERS_ providing
 "virtualbox-modules" package.

Package: virtualbox-guest-dkms
Section: contrib/kernel
Architecture: all
Depends: virtualbox-guest-utils (>= ${source:Version}), ${misc:Depends}
XB-Modaliases: ${modaliases}
Provides: virtualbox-guest-modules
Description: x86 virtualization solution - guest addition module source for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox guest addition kernel
 modules to be build with dkms. Kernel sources or headers are required to
 compile these modules.

Package: virtualbox-guest-source
Section: contrib/kernel
Architecture: all
Depends: build-essential,
         bzip2,
         debhelper (>= 9),
         kbuild,
         module-assistant,
         ${misc:Depends}
Description: x86 virtualization solution - guest addition module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox guest addition kernel
 modules. The virtualbox-guest-utils package is also required in order to
 make use of these modules. Kernel sources or headers are required to compile
 these modules.
 .
 The source is placed under /usr/src, and after decompression it can
 be built to produce a virtualbox-guest-modules-_KVERS_ providing
 "virtualbox-guest-modules" package.

Package: virtualbox-guest-x11
Section: contrib/x11
Architecture: amd64 i386
Depends: libnotify-bin,
         x11-xserver-utils,
         virtualbox-guest-utils (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${xserver:Depends}
Provides: xorg-driver-video
XB-Modaliases: ${modaliases}
Description: x86 virtualization solution - X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the X11 guest utilities for VirtualBox. These utilities
 are meant to be run inside the virtual machine.
 They provide closer integration and improve the interactive performance.

Package: virtualbox-guest-utils
Architecture: amd64 i386
Depends: adduser, pciutils, ${misc:Depends}, ${shlibs:Depends}
Recommends: virtualbox-guest-dkms (= ${source:Version}) | virtualbox-guest-source (= ${source:Version}) | virtualbox-guest-modules,
            virtualbox-guest-x11 (= ${binary:Version})
Description: x86 virtualization solution - non-X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the non-X11 guest utilities for VirtualBox. These
 utilities are meant to be run inside the virtual machine.
 They provide closer integration and allow to share data through shared folders
 between the host system and the virtual machine.

=== debian/watch ===
version=3

opts=downloadurlmangle=s/^/http:/,dversionmangle=s/-dfsg\d*$//,uversionmangle=s/-.*// \
 http://download.virtualbox.org/virtualbox/([\d\.\-]+)/VirtualBox-([\d\.\-]+).tar.bz2 \
 debian /bin/sh debian/get-orig-source.sh

## virtualbox 5.0.18

=== src/VBox/HostDrivers/Support/freebsd/Makefile ===
# $Id: Makefile $
## @file
# Makefile for the VirtualBox FreeBSD Host Driver.
#

#
# Copyright (C) 2006-2015 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL) only, as it comes in the "COPYING.CDDL" file of the
# VirtualBox OSE distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#

KMOD = vboxdrv

CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DSUPDRV_WITH_RELEASE_LOGGER -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS

.if (${MACHINE_ARCH} == "i386")
 CFLAGS += -DRT_ARCH_X86
.elif (${MACHINE_ARCH} == "amd64")
 CFLAGS += -DRT_ARCH_AMD64
.endif

SRCS = \
	SUPDrv.c \
	SUPDrvGip.c \
	SUPDrvSem.c \
	SUPDrvTracer.c \
	SUPLibAll.c \

# Include needed interface headers so they are created during build
SRCS += \
	device_if.h \
	bus_if.h

.PATH:	${.CURDIR}/freebsd
SRCS += \
	SUPDrv-freebsd.c

.PATH:	${.CURDIR}/alloc
SRCS += \
	heapsimple.c \
	alloc.c

.PATH:	${.CURDIR}/common/err
SRCS += \
	RTErrConvertFromErrno.c \
	RTErrConvertToErrno.c

.PATH:	${.CURDIR}/common/log
SRCS += \
	log.c \
	logellipsis.c \
	logrel.c \
	logrelellipsis.c \
	logcom.c \
	logformat.c

.PATH:	${.CURDIR}/common/misc
SRCS += \
	RTAssertMsg1Weak.c \
	RTAssertMsg2.c \
	RTAssertMsg2Add.c \
	RTAssertMsg2AddWeak.c \
	RTAssertMsg2AddWeakV.c \
	RTAssertMsg2Weak.c \
	RTAssertMsg2WeakV.c \
	assert.c \
	handletable.c \
	handletablectx.c \
	once.c \
	term.c \
	thread.c

.PATH:	${.CURDIR}/common/string
SRCS += \
	RTStrNCmp.c \
	RTStrNLen.c \
	RTStrCopy.c \
	RTStrCopyEx.c \
	RTStrCopyP.c \
	strformat.c \
	strformatrt.c \
	strformattype.c \
	strprintf.c \
	strtonum.c \
	memchr.c \
	stringalloc.c

.PATH:	${.CURDIR}/common/rand
SRCS += \
	rand.c \
	randadv.c \
	randparkmiller.c

.PATH:	${.CURDIR}/common/path
SRCS += \
	RTPathStripFilename.c

.PATH:	${.CURDIR}/common/checksum
SRCS += \
	crc32.c \
	ipv4.c \
	ipv6.c

.PATH:	${.CURDIR}/common/table
SRCS += \
	avlpv.c

.PATH:	${.CURDIR}/common/time
SRCS += \
	time.c

.PATH:	${.CURDIR}/generic
SRCS += \
	uuid-generic.c \
	RTAssertShouldPanic-generic.c \
	RTLogWriteDebugger-generic.c \
	RTLogWriteStdOut-stub-generic.c \
	RTLogWriteStdErr-stub-generic.c \
	RTLogWriteUser-generic.c \
	RTMpGetArraySize-generic.c \
	RTMpOnPair-generic.c \
	RTRandAdvCreateSystemFaster-generic.c \
	RTRandAdvCreateSystemTruer-generic.c \
	RTSemEventWait-2-ex-generic.c \
	RTSemEventWaitNoResume-2-ex-generic.c \
	RTSemEventMultiWait-2-ex-generic.c \
	RTSemEventMultiWaitNoResume-2-ex-generic.c \
	RTTimerCreate-generic.c \
	errvars-generic.c \
	mppresent-generic.c \
	timer-generic.c

.PATH:	${.CURDIR}/r0drv
SRCS += \
	alloc-r0drv.c \
	initterm-r0drv.c \
	memobj-r0drv.c \
	powernotification-r0drv.c

.PATH:	${.CURDIR}/r0drv/freebsd
SRCS += \
	assert-r0drv-freebsd.c \
	alloc-r0drv-freebsd.c \
	initterm-r0drv-freebsd.c \
	memobj-r0drv-freebsd.c \
	memuserkernel-r0drv-freebsd.c \
	mp-r0drv-freebsd.c \
	process-r0drv-freebsd.c \
	semevent-r0drv-freebsd.c \
	semeventmulti-r0drv-freebsd.c \
	semfastmutex-r0drv-freebsd.c \
	semmutex-r0drv-freebsd.c \
	spinlock-r0drv-freebsd.c \
	thread-r0drv-freebsd.c \
	thread2-r0drv-freebsd.c \
	time-r0drv-freebsd.c

.PATH:	${.CURDIR}/r0drv/generic
SRCS += \
	semspinmutex-r0drv-generic.c \
	mpnotification-r0drv-generic.c \
	threadctxhooks-r0drv-generic.c \
	RTMpIsCpuWorkPending-r0drv-generic.c

.PATH:	${.CURDIR}/VBox
SRCS += \
	log-vbox.c

.include <bsd.kmod.mk>

=== src/VBox/HostDrivers/VBoxNetAdp/linux/Makefile ===
#
# Makefile for the VirtualBox Linux Host Virtual Network Adapter Driver.
# (For 2.6.x this file must be called 'Makefile'!)
#

#
#
# Copyright (C) 2006-2015 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

#
# First, figure out which architecture we're targeting and the build type.
# (We have to support basic cross building (ARCH=i386|x86_64).)
# While at it, warn about BUILD_* vars found to help with user problems.
#
ifeq ($(filter-out x86_64 amd64 AMD64,$(shell uname -m)),)
 BUILD_TARGET_ARCH_DEF := amd64
else
 BUILD_TARGET_ARCH_DEF := x86
endif
ifneq ($(filter-out amd64 x86,$(BUILD_TARGET_ARCH)),)
 $(warning Ignoring unknown BUILD_TARGET_ARCH value '$(BUILD_TARGET_ARCH)'.)
 BUILD_TARGET_ARCH :=
endif
ifeq ($(BUILD_TARGET_ARCH),)
 ifeq ($(ARCH),x86_64)
  BUILD_TARGET_ARCH := amd64
 else
  ifeq ($(ARCH),i386)
   BUILD_TARGET_ARCH := x86
  else
   BUILD_TARGET_ARCH := $(BUILD_TARGET_ARCH_DEF)
  endif
 endif
else
 ifneq ($(BUILD_TARGET_ARCH),$(BUILD_TARGET_ARCH_DEF))
  $(warning Using BUILD_TARGET_ARCH='$(BUILD_TARGET_ARCH)' from the $(origin BUILD_TARGET_ARCH).)
 endif
endif

ifneq ($(filter-out release profile debug strict,$(BUILD_TYPE)),)
 $(warning Ignoring unknown BUILD_TYPE value '$(BUILD_TYPE)'.)
 BUILD_TYPE :=
endif
ifeq ($(BUILD_TYPE),)
 BUILD_TYPE := release
else
 ifneq ($(BUILD_TYPE),release)
  $(warning Using BUILD_TYPE='$(BUILD_TYPE)' from the $(origin BUILD_TYPE).)
 endif
endif

# override is required by the Debian guys
override MODULE = vboxnetadp
OBJS   = \
	linux/VBoxNetAdp-linux.o \
	VBoxNetAdp.o
ifeq ($(BUILD_TARGET_ARCH),x86)
OBJS += math/gcc/divdi3.o \
	math/gcc/moddi3.o \
	math/gcc/qdivrem.o \
	math/gcc/udivdi3.o \
        math/gcc/divdi3.o \
	math/gcc/umoddi3.o
endif

ifneq ($(MAKECMDGOALS),clean)

ifeq ($(KERNELRELEASE),)

 #
 # building from this directory
 #

 # kernel base directory
 ifndef KERN_DIR
  # build for the current kernel, version check
  KERN_DIR := /lib/modules/$(shell uname -r)/build
  ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
   KERN_DIR := /usr/src/linux
   ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
    $(error Error: unable to find the sources of your current Linux kernel. \
	           Specify KERN_DIR=<directory> and run Make again)
   endif
   $(warning Warning: using /usr/src/linux as the source directory of your \
                      Linux kernel. If this is not correct, specify \
		      KERN_DIR=<directory> and run Make again.)
  endif
 else
  ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
   $(error Error: KERN_DIR does not point to a directory)
  endif
 endif

 # includes
 ifndef KERN_INCL
  KERN_INCL = $(KERN_DIR)/include
 endif
 ifneq ($(shell if test -d $(KERN_INCL); then echo yes; fi),yes)
  $(error Error: unable to find the include directory for your current Linux \
                 kernel. Specify KERN_INCL=<directory> and run Make again)
 endif

 # module install dir, only for current kernel
 ifneq ($(filter install install_rpm,$(MAKECMDGOALS)),)
  ifndef MODULE_DIR
   MODULE_DIR_TST := /lib/modules/$(shell uname -r)
   ifeq ($(shell if test -d $(MODULE_DIR_TST); then echo yes; fi),yes)
    MODULE_DIR := $(MODULE_DIR_TST)/misc
   else
    $(error Unable to find the folder to install the support driver to)
   endif
  endif # MODULE_DIR unspecified
 endif

else # neq($(KERNELRELEASE),)

 #
 # building from kbuild (make -C <kernel_directory> M=`pwd`)
 #

endif # neq($(KERNELRELEASE),)

# debug - show guesses.
ifdef DEBUG
$(warning dbg: KERN_DIR     = $(KERN_DIR))
$(warning dbg: KERN_INCL    = $(KERN_INCL))
$(warning dbg: MODULE_DIR   = $(MODULE_DIR))
endif

KBUILD_VERBOSE ?= 1

#
# Compiler options
#
ifndef INCL
 INCL    := $(addprefix -I,$(KERN_INCL) $(EXTRA_INCL))
 ifndef KBUILD_EXTMOD
  KBUILD_EXTMOD := $(shell pwd)
 endif
 INCL    += $(addprefix -I$(KBUILD_EXTMOD),/ /include /r0drv/linux)
 INCL    += $(addprefix -I$(KBUILD_EXTMOD)/vboxnetadp,/ /include /r0drv/linux)
 export INCL
endif
ifneq ($(wildcard $(KBUILD_EXTMOD)/vboxnetadp),)
 MANGLING := $(KBUILD_EXTMOD)/vboxnetadp/include/VBox/SUPDrvMangling.h
else
 MANGLING := $(KBUILD_EXTMOD)/include/VBox/SUPDrvMangling.h
endif
KFLAGS   := -D__KERNEL__ -DMODULE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 \
	    -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING \
	    -Wno-declaration-after-statement
ifdef VBOX_REDHAT_KABI
 KFLAGS  += -DVBOX_REDHAT_KABI
endif
ifeq ($(BUILD_TARGET_ARCH),amd64)
 KFLAGS  += -DRT_ARCH_AMD64
else
 KFLAGS  += -DRT_ARCH_X86
endif
# must be consistent with Config.kmk!
KFLAGS  += -DVBOX_WITH_64_BITS_GUESTS
ifeq ($(BUILD_TYPE),debug)
 KFLAGS  += -DDEBUG -DDEBUG_$(USER) -g
 # IPRT_DEBUG_SEMS indicates thread wrt sems state via the comm field.
 #KFLAGS  += -DIPRT_DEBUG_SEMS
endif

# By default we use remap_pfn_range() kernel API to make kernel pages
# visible for userland. Unfortunately, it leads to situation that
# during debug session all structures on that page (such as PVM pointer)
# are not accessible to the debugger (see #3214).
# This code enables experimental support
# for vm_insert_page() kernel API, allowing to export kernel pages
# to the userland in more debugger-friendly way. Due to stability
# concerns, not enabled by default yet.
ifdef VBOX_USE_INSERT_PAGE
 KFLAGS  += -DVBOX_USE_INSERT_PAGE
endif

MODULE_EXT    := ko
$(MODULE)-y   := $(OBJS)

# build defs
EXTRA_CFLAGS  += -include $(MANGLING) $(INCL) $(KFLAGS) $(KDEBUG)

all: $(MODULE)

obj-m += $(MODULE).o

# OL/UEK: disable module signing for external modules -- we don't have any private key
$(MODULE):
	$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) SUBDIRS=$(CURDIR) SRCROOT=$(CURDIR) CONFIG_MODULE_SIG= -C $(KERN_DIR) modules

install: $(MODULE)
	@mkdir -p $(MODULE_DIR); \
	install -m 0644 -o root -g root $(MODULE).$(MODULE_EXT) $(MODULE_DIR); \
	PATH="$(PATH):/bin:/sbin" depmod -a; \
	rm -f /etc/vbox/module_not_compiled

install_rpm: $(MODULE)
	@mkdir -p $(MODULE_DIR); \
	install -m 0644 $(MODULE).$(MODULE_EXT) $(MODULE_DIR)

else # eq ($(MAKECMDGOALS),clean)

 ifndef KERN_DIR
  KERN_DIR := /lib/modules/$(shell uname -r)/build
  ifeq ($(wildcard $(KERN_DIR)/Makefile),)
   KERN_DIR := /usr/src/linux
  endif
 endif
 ifeq ($(wildcard $(KERN_DIR)/Makefile),)

clean:
	find . \( -name \*.o -o -name \*.cmd \) -print0 | xargs -0 rm -f
	rm -rf .tmp_ver* $(MODULE).* Module.symvers Modules.symvers modules.order

 else

clean:
	$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) SUBDIRS=$(CURDIR) SRCROOT=$(CURDIR) -C $(KERN_DIR) clean

 endif

endif # eq($(MAKECMDGOALS),clean)

=== src/VBox/HostDrivers/VBoxNetFlt/linux/Makefile ===
#
# Makefile for the VirtualBox Linux Host Network Filter Driver.
# (For 2.6.x this file must be called 'Makefile'!)
#

#
#
# Copyright (C) 2006-2015 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

#
# First, figure out which architecture we're targeting and the build type.
# (We have to support basic cross building (ARCH=i386|x86_64).)
# While at it, warn about BUILD_* vars found to help with user problems.
#
ifeq ($(filter-out x86_64 amd64 AMD64,$(shell uname -m)),)
 BUILD_TARGET_ARCH_DEF := amd64
else
 BUILD_TARGET_ARCH_DEF := x86
endif
ifneq ($(filter-out amd64 x86,$(BUILD_TARGET_ARCH)),)
 $(warning Ignoring unknown BUILD_TARGET_ARCH value '$(BUILD_TARGET_ARCH)'.)
 BUILD_TARGET_ARCH :=
endif
ifeq ($(BUILD_TARGET_ARCH),)
 ifeq ($(ARCH),x86_64)
  BUILD_TARGET_ARCH := amd64
 else
  ifeq ($(ARCH),i386)
   BUILD_TARGET_ARCH := x86
  else
   BUILD_TARGET_ARCH := $(BUILD_TARGET_ARCH_DEF)
  endif
 endif
else
 ifneq ($(BUILD_TARGET_ARCH),$(BUILD_TARGET_ARCH_DEF))
  $(warning Using BUILD_TARGET_ARCH='$(BUILD_TARGET_ARCH)' from the $(origin BUILD_TARGET_ARCH).)
 endif
endif

ifneq ($(filter-out release profile debug strict,$(BUILD_TYPE)),)
 $(warning Ignoring unknown BUILD_TYPE value '$(BUILD_TYPE)'.)
 BUILD_TYPE :=
endif
ifeq ($(BUILD_TYPE),)
 BUILD_TYPE := release
else
 ifneq ($(BUILD_TYPE),release)
  $(warning Using BUILD_TYPE='$(BUILD_TYPE)' from the $(origin BUILD_TYPE).)
 endif
endif

# override is required by the Debian guys
override MODULE = vboxnetflt
OBJS   = \
	linux/VBoxNetFlt-linux.o \
	VBoxNetFlt.o \
	SUPR0IdcClient.o \
	SUPR0IdcClientComponent.o \
	linux/SUPR0IdcClient-linux.o

ifeq ($(BUILD_TARGET_ARCH),x86)
OBJS += math/gcc/divdi3.o \
	math/gcc/moddi3.o \
	math/gcc/qdivrem.o \
	math/gcc/udivdi3.o \
        math/gcc/divdi3.o \
	math/gcc/umoddi3.o
endif

ifneq ($(MAKECMDGOALS),clean)

ifeq ($(KERNELRELEASE),)

 #
 # building from this directory
 #

 # kernel base directory
 ifndef KERN_DIR
  # build for the current kernel, version check
  KERN_DIR := /lib/modules/$(shell uname -r)/build
  ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
   KERN_DIR := /usr/src/linux
   ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
    $(error Error: unable to find the sources of your current Linux kernel. \
	           Specify KERN_DIR=<directory> and run Make again)
   endif
   $(warning Warning: using /usr/src/linux as the source directory of your \
                      Linux kernel. If this is not correct, specify \
		      KERN_DIR=<directory> and run Make again.)
  endif
 else
  ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
   $(error Error: KERN_DIR does not point to a directory)
  endif
 endif

 # includes
 ifndef KERN_INCL
  KERN_INCL = $(KERN_DIR)/include
 endif
 ifneq ($(shell if test -d $(KERN_INCL); then echo yes; fi),yes)
  $(error Error: unable to find the include directory for your current Linux \
                 kernel. Specify KERN_INCL=<directory> and run Make again)
 endif

 # module install dir, only for current kernel
 ifneq ($(filter install install_rpm,$(MAKECMDGOALS)),)
  ifndef MODULE_DIR
   MODULE_DIR_TST := /lib/modules/$(shell uname -r)
   ifeq ($(shell if test -d $(MODULE_DIR_TST); then echo yes; fi),yes)
    MODULE_DIR := $(MODULE_DIR_TST)/misc
   else
    $(error Unable to find the folder to install the support driver to)
   endif
  endif # MODULE_DIR unspecified
 endif

else # neq($(KERNELRELEASE),)

 #
 # building from kbuild (make -C <kernel_directory> M=`pwd`)
 #

endif # neq($(KERNELRELEASE),)

# debug - show guesses.
ifdef DEBUG
$(warning dbg: KERN_DIR     = $(KERN_DIR))
$(warning dbg: KERN_INCL    = $(KERN_INCL))
$(warning dbg: MODULE_DIR   = $(MODULE_DIR))
endif

KBUILD_VERBOSE ?= 1

#
# Compiler options
#
ifndef INCL
 INCL    := $(addprefix -I,$(KERN_INCL) $(EXTRA_INCL))
 ifndef KBUILD_EXTMOD
  KBUILD_EXTMOD := $(shell pwd)
 endif
 INCL    += $(addprefix -I$(KBUILD_EXTMOD),/ /include /r0drv/linux)
 INCL    += $(addprefix -I$(KBUILD_EXTMOD)/vboxnetflt,/ /include /r0drv/linux)
 export INCL
endif
ifneq ($(wildcard $(KBUILD_EXTMOD)/vboxnetflt),)
 MANGLING := $(KBUILD_EXTMOD)/vboxnetflt/include/VBox/SUPDrvMangling.h
else
 MANGLING := $(KBUILD_EXTMOD)/include/VBox/SUPDrvMangling.h
endif
KFLAGS   := -D__KERNEL__ -DMODULE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 \
	    -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING \
	    -Wno-declaration-after-statement
ifdef VBOX_REDHAT_KABI
 KFLAGS  += -DVBOX_REDHAT_KABI
endif
ifeq ($(BUILD_TARGET_ARCH),amd64)
 KFLAGS  += -DRT_ARCH_AMD64
else
 KFLAGS  += -DRT_ARCH_X86
endif
# must be consistent with Config.kmk!
KFLAGS  += -DVBOX_WITH_64_BITS_GUESTS
ifeq ($(BUILD_TYPE),debug)
 KFLAGS  += -DDEBUG -DDEBUG_$(USER) -g
 # IPRT_DEBUG_SEMS indicates thread wrt sems state via the comm field.
 #KFLAGS  += -DIPRT_DEBUG_SEMS
endif

# By default we use remap_pfn_range() kernel API to make kernel pages
# visible for userland. Unfortunately, it leads to situation that
# during debug session all structures on that page (such as PVM pointer)
# are not accessible to the debugger (see #3214).
# This code enables experimental support
# for vm_insert_page() kernel API, allowing to export kernel pages
# to the userland in more debugger-friendly way. Due to stability
# concerns, not enabled by default yet.
ifdef VBOX_USE_INSERT_PAGE
 KFLAGS  += -DVBOX_USE_INSERT_PAGE
endif

MODULE_EXT    := ko
$(MODULE)-y   := $(OBJS)

# build defs
EXTRA_CFLAGS  += -include $(MANGLING) $(INCL) $(KFLAGS) $(KDEBUG)

all: $(MODULE)

obj-m += $(MODULE).o

# OL/UEK: disable module signing for external modules -- we don't have any private key
$(MODULE):
	$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) SUBDIRS=$(CURDIR) SRCROOT=$(CURDIR) CONFIG_MODULE_SIG= -C $(KERN_DIR) modules

install: $(MODULE)
	@mkdir -p $(MODULE_DIR); \
	install -m 0644 -o root -g root $(MODULE).$(MODULE_EXT) $(MODULE_DIR); \
	PATH="$(PATH):/bin:/sbin" depmod -a; \
	rm -f /etc/vbox/module_not_compiled

install_rpm: $(MODULE)
	@mkdir -p $(MODULE_DIR); \
	install -m 0644 $(MODULE).$(MODULE_EXT) $(MODULE_DIR)

else # eq ($(MAKECMDGOALS),clean)

 ifndef KERN_DIR
  KERN_DIR := /lib/modules/$(shell uname -r)/build
  ifeq ($(wildcard $(KERN_DIR)/Makefile),)
   KERN_DIR := /usr/src/linux
  endif
 endif
 ifeq ($(wildcard $(KERN_DIR)/Makefile),)

clean:
	find . \( -name \*.o -o -name \*.cmd \) -print0 | xargs -0 rm -f
	rm -rf .tmp_ver* $(MODULE).* Module.symvers Modules.symvers modules.order

 else

clean:
	$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) SUBDIRS=$(CURDIR) SRCROOT=$(CURDIR) -C $(KERN_DIR) clean

 endif

endif # eq($(MAKECMDGOALS),clean)

=== src/VBox/HostDrivers/VBoxPci/linux/Makefile ===
#
# Makefile for the VirtualBox Linux Host PCI Driver.
# (For 2.6.x this file must be called 'Makefile'!)
#

#
#
# Copyright (C) 2011-2015 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

#
# First, figure out which architecture we're targeting and the build type.
# (We have to support basic cross building (ARCH=i386|x86_64).)
# While at it, warn about BUILD_* vars found to help with user problems.
#
ifeq ($(filter-out x86_64 amd64 AMD64,$(shell uname -m)),)
 BUILD_TARGET_ARCH_DEF := amd64
else
 BUILD_TARGET_ARCH_DEF := x86
endif
ifneq ($(filter-out amd64 x86,$(BUILD_TARGET_ARCH)),)
 $(warning Ignoring unknown BUILD_TARGET_ARCH value '$(BUILD_TARGET_ARCH)'.)
 BUILD_TARGET_ARCH :=
endif
ifeq ($(BUILD_TARGET_ARCH),)
 ifeq ($(ARCH),x86_64)
  BUILD_TARGET_ARCH := amd64
 else
  ifeq ($(ARCH),i386)
   BUILD_TARGET_ARCH := x86
  else
   BUILD_TARGET_ARCH := $(BUILD_TARGET_ARCH_DEF)
  endif
 endif
else
 ifneq ($(BUILD_TARGET_ARCH),$(BUILD_TARGET_ARCH_DEF))
  $(warning Using BUILD_TARGET_ARCH='$(BUILD_TARGET_ARCH)' from the $(origin BUILD_TARGET_ARCH).)
 endif
endif

ifneq ($(filter-out release profile debug strict,$(BUILD_TYPE)),)
 $(warning Ignoring unknown BUILD_TYPE value '$(BUILD_TYPE)'.)
 BUILD_TYPE :=
endif
ifeq ($(BUILD_TYPE),)
 BUILD_TYPE := release
else
 ifneq ($(BUILD_TYPE),release)
  $(warning Using BUILD_TYPE='$(BUILD_TYPE)' from the $(origin BUILD_TYPE).)
 endif
endif

# override is required by the Debian guys
override MODULE = vboxpci
OBJS   =                          	\
	linux/VBoxPci-linux.o     	\
	VBoxPci.o                 	\
        SUPR0IdcClient.o          	\
        SUPR0IdcClientComponent.o    	\
        linux/SUPR0IdcClient-linux.o

ifeq ($(BUILD_TARGET_ARCH),x86)
OBJS += math/gcc/divdi3.o       \
	math/gcc/moddi3.o 	\
	math/gcc/qdivrem.o 	\
	math/gcc/udivdi3.o 	\
        math/gcc/divdi3.o 	\
	math/gcc/umoddi3.o
endif

ifneq ($(MAKECMDGOALS),clean)

ifeq ($(KERNELRELEASE),)

 #
 # building from this directory
 #

 # kernel base directory
 ifndef KERN_DIR
 # build for the current kernel, version check
  KERN_DIR := /lib/modules/$(shell uname -r)/build
  ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
   KERN_DIR := /usr/src/linux
   ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
    $(error Error: unable to find the sources of your current Linux kernel. \
	           Specify KERN_DIR=<directory> and run Make again)
   endif
   $(warning Warning: using /usr/src/linux as the source directory of your \
                      Linux kernel. If this is not correct, specify \
		      KERN_DIR=<directory> and run Make again.)
  endif
 else
  ifneq ($(shell if test -d $(KERN_DIR); then echo yes; fi),yes)
   $(error Error: KERN_DIR does not point to a directory)
  endif
 endif

 # includes
 ifndef KERN_INCL
  KERN_INCL = $(KERN_DIR)/include
 endif
 ifneq ($(shell if test -d $(KERN_INCL); then echo yes; fi),yes)
  $(error Error: unable to find the include directory for your current Linux \
                 kernel. Specify KERN_INCL=<directory> and run Make again)
 endif

 # module install dir, only for current kernel
 ifneq ($(filter install install_rpm,$(MAKECMDGOALS)),)
  ifndef MODULE_DIR
   MODULE_DIR_TST := /lib/modules/$(shell uname -r)
   ifeq ($(shell if test -d $(MODULE_DIR_TST); then echo yes; fi),yes)
    MODULE_DIR := $(MODULE_DIR_TST)/misc
   else
    $(error Unable to find the folder to install the support driver to)
   endif
  endif # MODULE_DIR unspecified
 endif

else # neq($(KERNELRELEASE),)

 #
 # building from kbuild (make -C <kernel_directory> M=`pwd`)
 #

endif # neq($(KERNELRELEASE),)

# debug - show guesses.
ifdef DEBUG
$(warning dbg: KERN_DIR     = $(KERN_DIR))
$(warning dbg: KERN_INCL    = $(KERN_INCL))
$(warning dbg: MODULE_DIR   = $(MODULE_DIR))
endif

KBUILD_VERBOSE ?= 1

#
# Compiler options
#
ifndef INCL
 INCL    := $(addprefix -I,$(KERN_INCL) $(EXTRA_INCL))
 ifndef KBUILD_EXTMOD
  KBUILD_EXTMOD := $(shell pwd)
 endif
 INCL    += $(addprefix -I$(KBUILD_EXTMOD),/ /include /r0drv/linux)
 INCL    += $(addprefix -I$(KBUILD_EXTMOD)/vboxpci,/ /include /r0drv/linux)
 export INCL
endif
ifneq ($(wildcard $(KBUILD_EXTMOD)/vboxpci),)
 MANGLING := $(KBUILD_EXTMOD)/vboxpci/include/VBox/SUPDrvMangling.h
else
 MANGLING := $(KBUILD_EXTMOD)/include/VBox/SUPDrvMangling.h
endif
KFLAGS   := -D__KERNEL__ -DMODULE -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 \
	    -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING
ifdef VBOX_REDHAT_KABI
 KFLAGS  += -DVBOX_REDHAT_KABI
endif
ifeq ($(BUILD_TARGET_ARCH),amd64)
 KFLAGS  += -DRT_ARCH_AMD64
else
 KFLAGS  += -DRT_ARCH_X86
endif
# must be consistent with Config.kmk!
KFLAGS  += -DVBOX_WITH_64_BITS_GUESTS
ifeq ($(BUILD_TYPE),debug)
 KFLAGS  += -DDEBUG -DDEBUG_$(USER) -g
 # IPRT_DEBUG_SEMS indicates thread wrt sems state via the comm field.
 #KFLAGS  += -DIPRT_DEBUG_SEMS
endif

# By default we use remap_pfn_range() kernel API to make kernel pages
# visible for userland. Unfortunately, it leads to situation that
# during debug session all structures on that page (such as PVM pointer)
# are not accessible to the debugger (see #3214).
# This code enables experimental support
# for vm_insert_page() kernel API, allowing to export kernel pages
# to the userland in more debugger-friendly way. Due to stability
# concerns, not enabled by default yet.
ifdef VBOX_USE_INSERT_PAGE
 KFLAGS  += -DVBOX_USE_INSERT_PAGE
endif

MODULE_EXT    := ko
$(MODULE)-y   := $(OBJS)

# build defs
EXTRA_CFLAGS  += -include $(MANGLING) $(INCL) $(KFLAGS) $(KDEBUG)

all: $(MODULE)

obj-m += $(MODULE).o

# OL/UEK: disable module signing for external modules -- we don't have any private key
$(MODULE):
	$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) SUBDIRS=$(CURDIR) SRCROOT=$(CURDIR) CONFIG_MODULE_SIG= -C $(KERN_DIR) modules

install: $(MODULE)
	@mkdir -p $(MODULE_DIR); \
	install -m 0644 -o root -g root $(MODULE).$(MODULE_EXT) $(MODULE_DIR); \
	PATH="$(PATH):/bin:/sbin" depmod -a;

install_rpm: $(MODULE)
	@mkdir -p $(MODULE_DIR); \
	install -m 0644 $(MODULE).$(MODULE_EXT) $(MODULE_DIR)

else # eq ($(MAKECMDGOALS),clean)

 ifndef KERN_DIR
  KERN_DIR := /lib/modules/$(shell uname -r)/build
  ifeq ($(wildcard $(KERN_DIR)/Makefile),)
   KERN_DIR := /usr/src/linux
  endif
 endif
 ifeq ($(wildcard $(KERN_DIR)/Makefile),)

clean:
	find . \( -name \*.o -o -name \*.cmd \) -print0 | xargs -0 rm -f
	rm -rf .tmp_ver* $(MODULE).* Module.symvers Modules.symvers modules.order

 else

clean:
	$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) SUBDIRS=$(CURDIR) SRCROOT=$(CURDIR) -C $(KERN_DIR) clean

 endif

endif # eq($(MAKECMDGOALS),clean)

=== src/VBox/Additions/common/VBoxGuest/linux/Makefile ===
# $Revision: 98752 $
## @file
# VirtualBox Guest Additions Module Makefile.
#

#
# Copyright (C) 2006-2015 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

# Linux kbuild sets this to our source directory if we are called from there
obj ?= $(CURDIR)
include $(obj)/Makefile.include.header

MOD_NAME = vboxguest

MOD_OBJS   = \
	VBoxGuest-linux.o \
	VBoxGuest.o \
	GenericRequest.o \
	HGCMInternal.o \
	Init.o \
	PhysHeap.o \
	SysHlp.o \
	VMMDev.o \
	r0drv/alloc-r0drv.o \
	r0drv/initterm-r0drv.o \
	r0drv/memobj-r0drv.o \
	r0drv/mpnotification-r0drv.o \
	r0drv/powernotification-r0drv.o \
	r0drv/linux/alloc-r0drv-linux.o \
	r0drv/linux/assert-r0drv-linux.o \
	r0drv/linux/initterm-r0drv-linux.o \
	r0drv/linux/memobj-r0drv-linux.o \
	r0drv/linux/memuserkernel-r0drv-linux.o \
	r0drv/linux/mp-r0drv-linux.o \
	r0drv/linux/mpnotification-r0drv-linux.o \
	r0drv/linux/process-r0drv-linux.o \
	r0drv/linux/semevent-r0drv-linux.o \
	r0drv/linux/semeventmulti-r0drv-linux.o \
	r0drv/linux/semfastmutex-r0drv-linux.o \
	r0drv/linux/semmutex-r0drv-linux.o \
	r0drv/linux/spinlock-r0drv-linux.o \
	r0drv/linux/thread-r0drv-linux.o \
	r0drv/linux/thread2-r0drv-linux.o \
	r0drv/linux/time-r0drv-linux.o \
	r0drv/linux/timer-r0drv-linux.o \
	r0drv/linux/RTLogWriteDebugger-r0drv-linux.o \
	r0drv/generic/semspinmutex-r0drv-generic.o \
	common/alloc/alloc.o \
	common/err/RTErrConvertFromErrno.o \
	common/err/RTErrConvertToErrno.o \
	common/log/log.o \
        common/log/logellipsis.o \
        common/log/logrel.o \
        common/log/logrelellipsis.o \
        common/log/logcom.o \
	common/log/logformat.o \
	common/misc/RTAssertMsg1Weak.o \
	common/misc/RTAssertMsg2.o \
	common/misc/RTAssertMsg2Add.o \
	common/misc/RTAssertMsg2AddWeak.o \
	common/misc/RTAssertMsg2AddWeakV.o \
	common/misc/RTAssertMsg2Weak.o \
	common/misc/RTAssertMsg2WeakV.o \
	common/misc/assert.o \
	common/misc/thread.o \
	common/string/RTStrCopy.o \
	common/string/RTStrCopyEx.o \
	common/string/RTStrCopyP.o \
	common/string/strformat.o \
	common/string/strformatrt.o \
	common/string/strformattype.o \
	common/string/strprintf.o \
	common/string/strtonum.o \
	common/table/avlpv.o \
	common/time/time.o \
	generic/RTAssertShouldPanic-generic.o \
        generic/RTLogWriteStdErr-stub-generic.o \
        generic/RTLogWriteStdOut-stub-generic.o \
	generic/RTMpGetCoreCount-generic.o \
	generic/RTSemEventWait-2-ex-generic.o \
	generic/RTSemEventWaitNoResume-2-ex-generic.o \
	generic/RTSemEventMultiWait-2-ex-generic.o \
	generic/RTSemEventMultiWaitNoResume-2-ex-generic.o \
	generic/errvars-generic.o \
	generic/mppresent-generic.o \
	VBox/log-vbox.o \
	VBox/logbackdoor.o
ifeq ($(BUILD_TARGET_ARCH),x86)
MOD_OBJS += \
	common/math/gcc/divdi3.o \
	common/math/gcc/moddi3.o \
	common/math/gcc/udivdi3.o \
	common/math/gcc/umoddi3.o \
	common/math/gcc/qdivrem.o
endif
ifeq ($(BUILD_TARGET_ARCH),amd64)
MOD_OBJS +=	common/alloc/heapsimple.o
endif

MOD_DEFS = -DVBOX -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_GUEST \
            -DIN_GUEST_R0 -DIN_MODULE -DRT_WITH_VBOX -DVBGL_VBOXGUEST \
            -DVBOX_WITH_HGCM
ifeq ($(BUILD_TARGET_ARCH),amd64)
 MOD_DEFS  += -DRT_ARCH_AMD64
else
 MOD_DEFS  += -DRT_ARCH_X86
endif
ifeq ($(BUILD_TARGET_ARCH),amd64)
 MOD_DEFS += -DVBOX_WITH_64_BITS_GUESTS
endif
MOD_INCL  = $(addprefix -I$(KBUILD_EXTMOD),/ /include /r0drv/linux)
MOD_INCL += $(addprefix -I$(KBUILD_EXTMOD)/vboxguest,/ /include /r0drv/linux)

ifneq ($(wildcard $(KBUILD_EXTMOD)/vboxguest),)
 MANGLING := $(KBUILD_EXTMOD)/vboxguest/include/VBox/VBoxGuestMangling.h
else
 MANGLING := $(KBUILD_EXTMOD)/include/VBox/VBoxGuestMangling.h
endif
ifeq ($(KERN_VERSION),24)
 ## @todo move to MOD_DEFS when we have finished refactoring
 MOD_CFLAGS = -DEXPORT_SYMTAB
else
 MOD_CFLAGS = -Wno-declaration-after-statement -include $(MANGLING)
endif

MOD_CLEAN = . linux r0drv generic r0drv/linux r0drv/generic VBox \
		common/alloc common/err common/log common/math/gcc common/misc \
		common/string common/time

include $(obj)/Makefile.include.footer

check: $(MOD_NAME)
	@if ! readelf -p __ksymtab_strings vboxguest.ko | grep -E "\[.*\]  *(RT|g_..*RT.*)"; then \
	    echo "All exported IPRT symbols are properly renamed!"; \
	 else \
	    echo "error: Some exported IPRT symbols was not properly renamed! See above." >&2; \
	    false; \
	 fi

=== src/VBox/Main/webservice/samples/python/Makefile ===
#
# Copyright (C) 2008-2010 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

all: run

run: 
	@echo !!!! Don\'t forget to start webserver with \"vboxwebsrv -t 10000\" !!!
	PYTHONPATH=../lib python ../../../glue/python/sample/vboxshell.py -w 

server:
	nohup vboxwebsrv -t 10000 &

=== src/VBox/Devices/EFI/Firmware/BaseTools/Source/C/GenFv/Makefile ===
## @file
# Windows makefile for 'GenFv' module build.
#
# Copyright (c) 2007 - 2010, Intel Corporation. All rights reserved.<BR>
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution.  The full text of the license may be found at
# http://opensource.org/licenses/bsd-license.php
#
# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
#
!INCLUDE ..\Makefiles\ms.common

APPNAME = GenFv

LIBS = $(LIB_PATH)\Common.lib RpcRT4.lib

OBJECTS = GenFv.obj GenFvInternalLib.obj

!INCLUDE ..\Makefiles\ms.app

=== src/VBox/Devices/EFI/Firmware/BaseTools/Source/C/TianoCompress/Makefile ===
## @file
# Windows makefile for 'TianoCompress' module build.
#
# Copyright (c) 2007 - 2010, Intel Corporation. All rights reserved.<BR>
# This program and the accompanying materials
# are licensed and made available under the terms and conditions of the BSD License
# which accompanies this distribution.  The full text of the license may be found at
# http://opensource.org/licenses/bsd-license.php
#
# THE PROGRAM IS DISTRIBUTED UNDER THE BSD LICENSE ON AN "AS IS" BASIS,
# WITHOUT WARRANTIES OR REPRESENTATIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED.
#
!INCLUDE ..\Makefiles\ms.common

APPNAME = TianoCompress

LIBS = $(LIB_PATH)\Common.lib

OBJECTS = TianoCompress.obj

!INCLUDE ..\Makefiles\ms.app
